'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.api = undefined;

var _axios = require('axios');

var _axios2 = _interopRequireDefault(_axios);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var api = exports.api = {
  /**
   * Requests the data
   * @param {string} [path] the url to fetch notifications from
   * @param {object} [httpClient = axios] the http client library
   * @returns {promise} a promise that returns the data from the passed in path
  */
  fetch: function () {
    function fetch(path) {
      var httpClient = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : _axios2['default'];

      return httpClient.get(path);
    }

    return fetch;
  }()
};