'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _modify = require('../utils/modify');

var _lastMessage = require('../models/lastMessage');

var _ParticipantNotification = require('./ParticipantNotification');

var _ParticipantNotification2 = _interopRequireDefault(_ParticipantNotification);

var _ResearcherNotification = require('./ResearcherNotification');

var _ResearcherNotification2 = _interopRequireDefault(_ResearcherNotification);

require('./NotificationItem.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var discussionApp = function discussionApp(appType) {
  return appType === 'discussion';
};

var NotificationItem = function NotificationItem(_ref, _ref2) {
  var probe = _ref.probe,
      authors = _ref.authors;
  var appType = _ref2.appType;

  var authorAvatar = (0, _lastMessage.lastMessageAuthorAvatar)({ probe: probe, authors: authors });
  var className = (0, _modify.bemModify)(appType, '', false);

  return _react2['default'].createElement(
    'a',
    { className: className('notification-item'), href: '/probes/' + String(probe.id), 'data-role': 'link' },
    _react2['default'].createElement(
      'div',
      { className: className('notification-item__avatar') },
      _react2['default'].createElement('img', {
        className: className('notification-avatar'),
        'data-role': 'author-avatar',
        src: authorAvatar
      })
    ),
    _react2['default'].createElement(
      'div',
      { className: className('notification-item__info') },
      discussionApp(appType) ? _react2['default'].createElement(_ParticipantNotification2['default'], { probe: probe, authors: authors }) : _react2['default'].createElement(_ResearcherNotification2['default'], { probe: probe, authors: authors })
    )
  );
};

NotificationItem.propTypes = {
  probe: _react.PropTypes.shape({
    id: _react.PropTypes.number.isRequired,
    probeable: _react.PropTypes.shape({
      id: _react.PropTypes.number.isRequired,
      taskIcon: _react.PropTypes.string.isRequired,
      taskTitle: _react.PropTypes.string.isRequired
    }),
    messages: _react.PropTypes.arrayOf(_react.PropTypes.shape({
      authorId: _react.PropTypes.number.isRequired,
      sentAt: _react.PropTypes.string.isRequired,
      text: _react.PropTypes.string.isRequired
    }).isRequired)
  }).isRequired,
  authors: _react.PropTypes.arrayOf(_react.PropTypes.shape({
    id: _react.PropTypes.number.isRequired,
    nickname: _react.PropTypes.string.isRequired,
    avatar: _react.PropTypes.string.isRequired,
    type: _react.PropTypes.string.isRequired
  }).isRequired)
};

NotificationItem.contextTypes = {
  appType: _react.PropTypes.string
};

exports['default'] = NotificationItem;