'use strict';

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ava = require('ava');

var _ava2 = _interopRequireDefault(_ava);

var _enzyme = require('enzyme');

var _NotificationItem = require('./NotificationItem');

var _NotificationItem2 = _interopRequireDefault(_NotificationItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

(0, _ava2['default'])('it renders an avatar', function (t) {
  var authors = [{
    id: 1,
    nickname: 'Dave',
    avatar: 'imagepath.jpg',
    type: 'researcher'
  }];
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_NotificationItem2['default'], (0, _extends3['default'])({}, defaultProps, { authors: authors })));

  var avatar = wrapper.find('[data-role="author-avatar"]');

  t.is(avatar.prop('src'), 'imagepath.jpg');
});

(0, _ava2['default'])('the link points to probes/:id', function (t) {
  var probe = (0, _extends3['default'])({}, defaultProps.probe, {
    id: 2
  });
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_NotificationItem2['default'], (0, _extends3['default'])({}, defaultProps, { probe: probe })));

  var link = wrapper.find('[data-role="link"]');

  t.is(link.prop('href'), '/probes/2');
});

var defaultProps = {
  probe: {
    id: 1,
    probeable: {
      id: 1,
      taskIcon: 'image.jpg',
      taskTitle: 'Task Title'
    },
    messages: [{
      authorId: 1,
      sentAt: '2016-08-17T16:29:55+00:00',
      text: 'Hello world'
    }]
  },
  authors: [{
    id: 1,
    nickname: 'Dave',
    avatar: 'avatar.jpg',
    type: 'researcher'
  }]
};