'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _crowdlabReactTranslations = require('crowdlab-react-translations');

require('./NotificationItemLayout.scss');

var _modify = require('../utils/modify');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var NotificationItemLayout = function NotificationItemLayout(_ref, _ref2) {
  var children = _ref.children;
  var appType = _ref2.appType;
  return _react2['default'].createElement(
    'div',
    { className: (0, _modify.bemModify)(appType, '', false, 'notifications'), 'data-role': 'notifications-menu' },
    _react2['default'].createElement(
      'span',
      { className: 'notifications__heading', 'data-role': 'notifications-title' },
      _react2['default'].createElement(_crowdlabReactTranslations.Translate, { id: 'notifications.' + String(appType) + '.title' })
    ),
    _react2['default'].createElement(
      'div',
      { className: 'notifications__list' },
      children
    )
  );
};

NotificationItemLayout.propTypes = {
  children: _react.PropTypes.node.isRequired
};

NotificationItemLayout.contextTypes = {
  appType: _react.PropTypes.string
};

exports['default'] = NotificationItemLayout;