'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

require('./NotificationsBell.scss');

var _icons = require('./icons.json');

var _modify = require('../utils/modify');

var _notificationHelper = require('../models/notificationHelper');

var _NotificationCount = require('./NotificationCount');

var _NotificationCount2 = _interopRequireDefault(_NotificationCount);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var NotificationsBell = function NotificationsBell(_ref, _ref2) {
  var notifications = _ref.notifications;
  var appType = _ref2.appType;

  var className = (0, _modify.bemModify)(appType, 'active', (0, _notificationHelper.hasNotifications)(notifications));
  return _react2['default'].createElement(
    'span',
    { className: className('notifications-bell') },
    _react2['default'].createElement(_NotificationCount2['default'], { notifications: notifications }),
    _react2['default'].createElement(
      'svg',
      {
        className: className('notifications-bell-icon'),
        'data-role': 'icon',
        x: '0px',
        y: '0px',
        viewBox: '0 0 16 16'
      },
      _icons.bell.map(function (path, index) {
        return _react2['default'].createElement('path', { 'data-role': 'path', key: index, d: path });
      })
    )
  );
};

NotificationsBell.propTypes = {
  notifications: _react.PropTypes.shape({
    probes: _react.PropTypes.array
  }).isRequired
};

NotificationsBell.contextTypes = {
  appType: _react.PropTypes.string
};

exports['default'] = NotificationsBell;