'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ava = require('ava');

var _ava2 = _interopRequireDefault(_ava);

var _enzyme = require('enzyme');

var _NotificationsBell = require('./NotificationsBell');

var _NotificationsBell2 = _interopRequireDefault(_NotificationsBell);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

(0, _ava2['default'])('it renders an icon with paths', function (t) {
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_NotificationsBell2['default'], defaultProps));

  var bellIcon = wrapper.find('[data-role="icon"]');
  var bellPath = wrapper.find('[data-role="path"]');

  t.is(bellIcon.length, 1);
  t.is(bellPath.length, 1);
});

(0, _ava2['default'])('it modifies the className with the supplied context appType', function (t) {
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_NotificationsBell2['default'], defaultProps), { context: { appType: 'stubbed-app-type' } });

  t.is(wrapper.prop('className'), 'notifications-bell notifications-bell--stubbed-app-type');
});

(0, _ava2['default'])('When it has some notifications has active class modifier', function (t) {
  var notifications = {
    probes: [{ text: 'message' }]
  };
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_NotificationsBell2['default'], { notifications: notifications }));

  t.is(wrapper.prop('className'), 'notifications-bell notifications-bell--active');
});

(0, _ava2['default'])('When there are no notifications has no active modifier', function (t) {
  var notifications = {
    probes: []
  };
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_NotificationsBell2['default'], { notifications: notifications }));

  t.is(wrapper.prop('className'), 'notifications-bell');
});

(0, _ava2['default'])('Renders the number of probes', function (t) {
  var notifications = {
    probes: [{ text: 'message' }]
  };
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_NotificationsBell2['default'], { notifications: notifications }));

  var notificationCount = wrapper.find('NotificationCount');
  t.is(notificationCount.length, 1);
});

var defaultProps = {
  notifications: {
    probes: []
  }
};