'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _crowdlabReactTranslations = require('crowdlab-react-translations');

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _NotificationItemLayout = require('./NotificationItemLayout');

var _NotificationItemLayout2 = _interopRequireDefault(_NotificationItemLayout);

var _NotificationItem = require('./NotificationItem');

var _NotificationItem2 = _interopRequireDefault(_NotificationItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var NotificationsList = function NotificationsList(_ref) {
  var _ref$notifications = _ref.notifications,
      authors = _ref$notifications.authors,
      probes = _ref$notifications.probes;

  if (_lodash2['default'].isEmpty(probes)) {
    return _react2['default'].createElement(
      _NotificationItemLayout2['default'],
      null,
      _react2['default'].createElement(
        'span',
        {
          className: 'notifications__no-notifications',
          'data-role': 'notifications-info'
        },
        _react2['default'].createElement(_crowdlabReactTranslations.Translate, { id: 'notifications.noNotifications' })
      )
    );
  }

  return _react2['default'].createElement(
    _NotificationItemLayout2['default'],
    null,
    probes.map(function (probe) {
      return _react2['default'].createElement(_NotificationItem2['default'], { key: probe.id, probe: probe, authors: authors });
    })
  );
};

NotificationsList.propTypes = {
  notifications: _react.PropTypes.shape({
    probes: _react.PropTypes.array.isRequired,
    authors: _react.PropTypes.array.isRequired
  }).isRequired
};

exports['default'] = NotificationsList;