'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ava = require('ava');

var _ava2 = _interopRequireDefault(_ava);

var _enzyme = require('enzyme');

var _NotificationsList = require('./NotificationsList');

var _NotificationsList2 = _interopRequireDefault(_NotificationsList);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

(0, _ava2['default'])('when there are no notifications, displays no message text', function (t) {
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_NotificationsList2['default'], emptyNotificationProps));

  var info = wrapper.find('[data-role="notifications-info"]');
  var infoTitle = info.find('Translate');
  t.is(infoTitle.prop('id'), 'notifications.noNotifications');
});

(0, _ava2['default'])('when there are notifications, it does not show the no message text', function (t) {
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_NotificationsList2['default'], populatedNotificationsProps));

  var info = wrapper.find('[data-role="notifications-info"]');
  t.is(info.length, 0);
});

(0, _ava2['default'])('when there are notifications, renders NotificationItem for each notification', function (t) {
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_NotificationsList2['default'], populatedNotificationsProps));

  var items = wrapper.find('NotificationItem');
  var notificationsCount = populatedNotificationsProps.notifications.probes.length;
  t.is(items.length, notificationsCount);
});

var emptyNotificationProps = {
  notifications: {
    authors: [],
    probes: []
  }
};

var populatedNotificationsProps = {
  notifications: {
    authors: [{ id: 3, avatar: 'somepath.jpg', nickname: 'Bob', type: 'researcher' }, { id: 4, avatar: 'somepath.jpg', nickname: 'Max', type: 'participant' }],
    probes: [{
      id: 1,
      probeable: {
        id: 1,
        taskIcon: 'image.jpg',
        taskTitle: 'Task'
      },
      messages: [{ id: 1, authorId: 3, text: 'banana', sentAt: '2016-08-12T14:35:25+00:00' }]
    }, {
      id: 2,
      probeable: {
        id: 1,
        taskIcon: 'image.jpg',
        taskTitle: 'Task'
      },
      messages: [{ id: 2, authorId: 4, text: 'apple', sentAt: '2016-08-12T14:35:25+00:00' }]
    }]
  }
};