'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NotificationsMenu = undefined;

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _ramda = require('ramda');

var _ramda2 = _interopRequireDefault(_ramda);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _actions = require('../actions');

var _Dropdown = require('../components/Dropdown');

var _Dropdown2 = _interopRequireDefault(_Dropdown);

var _NotificationsList = require('../components/NotificationsList');

var _NotificationsList2 = _interopRequireDefault(_NotificationsList);

var _NotificationsBell = require('../components/NotificationsBell');

var _NotificationsBell2 = _interopRequireDefault(_NotificationsBell);

var _modify = require('../utils/modify');

require('./NotificationsMenu.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var NotificationsMenu = exports.NotificationsMenu = function (_Component) {
  (0, _inherits3['default'])(NotificationsMenu, _Component);

  function NotificationsMenu() {
    (0, _classCallCheck3['default'])(this, NotificationsMenu);
    return (0, _possibleConstructorReturn3['default'])(this, (NotificationsMenu.__proto__ || (0, _getPrototypeOf2['default'])(NotificationsMenu)).apply(this, arguments));
  }

  (0, _createClass3['default'])(NotificationsMenu, [{
    key: 'componentDidMount',
    value: function () {
      function componentDidMount() {
        var fetchPath = this.props.fetchPath;


        this.props.fetchNotifications(fetchPath);
      }

      return componentDidMount;
    }()
  }, {
    key: 'render',
    value: function () {
      function render() {
        var notifications = this.props.notifications;
        var appType = this.context.appType;

        var className = (0, _modify.bemModify)(appType, '', false);
        return _react2['default'].createElement(
          'div',
          { className: className('notifications-menu'), 'data-role': 'notifications-menu' },
          _react2['default'].createElement(
            _Dropdown2['default'],
            {
              link: _react2['default'].createElement(
                'a',
                {
                  className: className('notifications-menu__link'),
                  'data-role': 'menu-toggle'
                },
                _react2['default'].createElement(_NotificationsBell2['default'], { notifications: notifications })
              )
            },
            _react2['default'].createElement(_NotificationsList2['default'], { notifications: notifications })
          )
        );
      }

      return render;
    }()
  }]);
  return NotificationsMenu;
}(_react.Component);

NotificationsMenu.propTypes = {
  notifications: _react.PropTypes.shape({
    fetchStatus: _react.PropTypes.string.isRequired,
    probes: _react.PropTypes.array.isRequired,
    authors: _react.PropTypes.array.isRequired
  }).isRequired,
  fetchNotifications: _react.PropTypes.func.isRequired,
  appType: _react.PropTypes.string,
  fetchPath: _react.PropTypes.string.isRequired
};

NotificationsMenu.contextTypes = {
  appType: _react.PropTypes.string
};

var mapStateToProps = _ramda2['default'].pick(['notifications']);

exports['default'] = (0, _reactRedux.connect)(mapStateToProps, { fetchNotifications: _actions.fetchNotifications })(NotificationsMenu);