'use strict';

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ava = require('ava');

var _ava2 = _interopRequireDefault(_ava);

var _testdouble = require('testdouble');

var _testdouble2 = _interopRequireDefault(_testdouble);

var _enzyme = require('enzyme');

var _crowdlabReactTranslations = require('crowdlab-react-translations');

var _NotificationsMenu = require('./NotificationsMenu');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

(0, _ava2['default'])('it renders a notifications menu', function (t) {
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_NotificationsMenu.NotificationsMenu, defaultProps));

  var menu = wrapper.find('[data-role="notifications-menu"]');

  t.is(menu.length, 1);
});

(0, _ava2['default'])('when the component mounts, dispatches fetchNotifications with the fetchPath', function () {
  var fetchNotificationsSpy = _testdouble2['default']['function']();
  translatedMount(_react2['default'].createElement(_NotificationsMenu.NotificationsMenu, (0, _extends3['default'])({}, defaultProps, {
    fetchNotifications: fetchNotificationsSpy,
    fetchPath: '/api/probes?project_id=1'
  })));

  _testdouble2['default'].verify(fetchNotificationsSpy('/api/probes?project_id=1'));
});

(0, _ava2['default'])('modifies the class names with the supplied app type from context', function (t) {
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_NotificationsMenu.NotificationsMenu, defaultProps), { context: { appType: 'discussion' } });

  t.is(wrapper.prop('className'), 'notifications-menu notifications-menu--discussion');
});

(0, _ava2['default'])('renders a dropdown with the notifications list as its child', function (t) {
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_NotificationsMenu.NotificationsMenu, defaultProps));

  var dropdown = wrapper.find('WrappedDropdown');
  var list = dropdown.find('NotificationsList');
  t.is(list.length, 1);
});

var defaultProps = {
  notifications: {
    fetchStatus: 'dormant',
    probes: [],
    authors: []
  },
  toggleMenu: function () {
    function toggleMenu() {}

    return toggleMenu;
  }(),
  fetchNotifications: function () {
    function fetchNotifications() {}

    return fetchNotifications;
  }(),
  fetchPath: '/notifications'
};

var translatedMount = function translatedMount(component) {
  return (0, _enzyme.mount)((0, _crowdlabReactTranslations.injectTranslations)(component, {
    'notifications.noNotifications': 'Stubbed no',
    'notifications.title': 'Stub title'
  }));
};