'use strict';

var _ava = require('ava');

var _ava2 = _interopRequireDefault(_ava);

var _modify = require('./modify');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

(0, _ava2['default'])('constantModify returns a modified block name', function (t) {
  var output = (0, _modify.constantModify)('active', 'block');

  t.is(output, 'block--active');
});

(0, _ava2['default'])('when modified is false, optionalModify returns a an empty string', function (t) {
  var output = (0, _modify.optionalModify)('active', false, 'block');

  t.is(output, '');
});

(0, _ava2['default'])('when modified is true, optionalModify returns a modified blockName', function (t) {
  var output = (0, _modify.optionalModify)('active', true, 'block');

  t.is(output, 'block--active');
});

(0, _ava2['default'])('when modified is false, bemModify returns the blockname and the constant modifier', function (t) {
  var output = (0, _modify.bemModify)('active', 'bold', false)('block');

  t.is(output, 'block block--active');
});

(0, _ava2['default'])('when modified is true, bemModify returns the blockname, the constant modifier and the optional modifier', function (t) {
  var output = (0, _modify.bemModify)('active', 'bold', true)('block');

  t.is(output, 'block block--active block--bold');
});

(0, _ava2['default'])('when modifier is an empty string, bemModify returns only the block', function (t) {
  var output = (0, _modify.bemModify)('', '', false)('block');

  t.is(output, 'block');
});

(0, _ava2['default'])('when modifier is undefined, bemModify returns only the block', function (t) {
  var output = (0, _modify.bemModify)(undefined, '', false)('block');

  t.is(output, 'block');
});

(0, _ava2['default'])('when modifier is undefined, and optionalModifier is true bemModify returns only the block and the optionalModifier', function (t) {
  var output = (0, _modify.bemModify)(undefined, 'bold', true)('block');

  t.is(output, 'block block--bold');
});